Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 121672 - anaconda balks on existing jfs partitions for upgrade
Summary: anaconda balks on existing jfs partitions for upgrade
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2004-04-25 05:39 UTC by Lamont Peterson
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-19 18:59:31 UTC


Attachments (Terms of Use)

Description Lamont Peterson 2004-04-25 05:39:14 UTC
Description of problem: 
With FC1 installed, using a mix of filesystems (ext3, reiserfs & 
jfs), after selecting to perform an upgrade of the existing Fedora 
Core installation, when anaconda tries to detect existing partitions 
and error is reportes that "partition /dev/hda[whatever] can not be 
mounted as /var/log [or wherever]. Click OK to reboot." and there is 
no way to bypass this. 
 
Version-Release number of selected component (if applicable): 
anaconda that ships with FC2test2 
 
How reproducible: 
 
 
Steps to Reproduce: 
1.  Install FC1, with at least one (1) jfs partition, in use. 
2.  Boot from FC2test2 CD1 (if you can, otherwise use FC2test1 disc 
swap workaround, like I had to do) 
3.  Select the "Upgrade Existing OS" (however it is phrased) option 
and click "Next". 
   
Actual results: 
Error message occurs, forcing reboot.  The error message ONLY occurs  
 
Expected results: 
anaconda should be able to handle jfs partitions without the fix 
noted below.  Another acceptable alternative might be to present a 
message that allows you to continue on (perhaps to Disk Druid to 
manually deal with it?).  It is certainly a Bad Thing that you can 
only reboot, at that point (you can not even back up and change your 
mind). 
 
Additional info: 
Passing the option "jfs" to anaconda from the boot prompt fixed this 
problem, entirely.

Comment 1 Jeremy Katz 2004-05-06 22:03:53 UTC
Targeting to look at for fc3. 

Comment 2 David Cantrell 2006-04-19 18:59:31 UTC
At some point this problem was corrected.  It doesn't happen in FC5 or rawhide now.

You still have to pass 'jfs', 'reiserfs', or 'xfs' when doing an initial
installation and you want to use one of those filesystems.  For upgrades, you do
not have to pass those arguments.


Note You need to log in before you can comment on or make changes to this bug.